%define pkgname memcache-client
Summary:	A library to access memcache
Name:		ruby-%{pkgname}
Version:	1.7.5
Release:	4
License:	GPL v2+ or Ruby
Group:		Development/Languages
Source0:	http://gems.rubyforge.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	d93a84ea4d0374bb999277970cccaa35
Patch0:		%{name}-cleanup.patch
URL:		http://seattlerb.rubyforge.org/memcache-client/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Ruby library for accessing memcached.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q
%patch0 -p1

find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
# write .gemspec
%__gem_helper spec

rdoc --op rdoc lib
rdoc --ri --op ri lib
rm -r ri/Continuum
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

rm $RPM_BUILD_ROOT%{ruby_vendorlibdir}/continuum_native.rb

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ.rdoc History.rdoc README.rdoc
%{ruby_vendorlibdir}/memcache.rb
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/MemCache
%changelog
* Fri Aug 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-memcache-client.git;a=log;h=master

* Fri Aug 28 2015 Elan Ruusamäe <glen@delfi.ee> 7be02ce
- release 4 (by relup.sh)

* Fri Aug 28 2015 Elan Ruusamäe <glen@delfi.ee> dd99b40
- build noarch, install gemspec

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 8d24cfb
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> db95101
- ruby 2.0 rebuild
- release 2 (by relup.sh)

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> da69868
- added ri package
- cleanup

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 7531a1a
- 1.7.5
- updated build process

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> f94408c
- remove useless stuff (from ALTLinux)

* Fri Sep 26 2008 aredridel <aredridel@pld-linux.org> 5376506
- added

